import request from '/@/utils/request';

/**
 * 分页查询班主任跟踪情况列表
 * @param query 查询参数
 */
export const fetchList = (query?: any) => {
  return request({
    url: '/stuwork/classmastertracking/page',
    method: 'get',
    params: query
  });
};

/**
 * 通过id查询详情
 * @param id 主键ID
 */
export const getDetail = (id: string) => {
  return request({
    url: '/stuwork/classmastertracking/detail',
    method: 'get',
    params: { id }
  });
};

/**
 * 新增班主任跟踪情况
 * @param data 数据对象
 */
export const addObj = (data: any) => {
  return request({
    url: '/stuwork/classmastertracking',
    method: 'post',
    data
  });
};

/**
 * 修改班主任跟踪情况
 * @param data 数据对象
 */
export const editObj = (data: any) => {
  return request({
    url: '/stuwork/classmastertracking/edit',
    method: 'post',
    data
  });
};

/**
 * 处理跟踪情况
 * @param data 处理信息
 */
export const dealTracking = (data: any) => {
  return request({
    url: '/stuwork/classmastertracking/deal',
    method: 'post',
    data
  });
};

/**
 * 删除班主任跟踪情况
 * @param ids ID数组
 */
export const delObj = (ids: string[]) => {
  return request({
    url: '/stuwork/classmastertracking/delete',
    method: 'post',
    data: ids
  });
};